	{ Ce schema decrit la traduction des paragraphes en RTF

		R. AMOUROUX Decembre 1993}

TRANSLATION Paragraphe;

COUNTERS

	CptDeepListe : Rlevel of Liste ;
	CptItemEnum : Rank of Item_\351num\351ration;
	CptDeepEnum : Rlevel of Enum\351ration ;

RULES

   Simple_paragraphe :
	BEGIN
	Create '\qj ';
	Create '\par' After;
	END;

   Citation :
	BEGIN	
	Create '\pard\s18 ';
	Create '\par\pard\fi250' After;
	END;

   Exemple :
	BEGIN
	Create '\pard\plain\s17 ';
	Create '\pard\plain\fi250' After;
	END;

   Ligne_exemple :
	BEGIN
{**VQ*}	Create '{\f6 ';
{**VQ*}	create '}' after;	
	Create '\par' After;
	END;

   Liste :
	BEGIN
	Create '\pard\plain\s16\LISTBOX' ; { a remplacer par \fi \li correct }
	Create '\pard\ENDLIST' After ;
	END;

   Item_liste :
	BEGIN
	Create '\ITEMLIST';
	END;

   Description :
	BEGIN
	Create '\pard\s19\fi-3600\li3600 ';
	Create '\pard\fi250' After ;
	END;

   Intitul\351_descr :
	BEGIN
	Create '{\b ';
	Create '}\plain\tab' After ;
	END;

   Paragraphe_titr\351 :
	BEGIN
	Create '\pard\s20 ';
	Create '\pard\fi250' After ;
	END;

   Titre_parag :
	BEGIN
	Create '\b ' ;
	Create '\par\pard' After;
	END;

   Contenu_parag :
	BEGIN
	Create '\plain\li900 ' ;
	Create '\pard\fi250' After;
	END;

   Enum\351ration :
	BEGIN
	Create '\pard\plain\s5\BOXENUM' ;
	Create '\ENDENUM' After ;
	END;

   Item_\351num\351ration :
	BEGIN
	Create '\ITEMENUM';
	END;

   Programme_indent\351 :
	BEGIN
	Create '\pard\s21\li1000\f6\ql ';
	Create '\pard\plain\fi250' After;
	END;

   Instruction :
	begin
	Create '\par ' After;
	end;
	
   Bloc_instructions :
	BEGIN	
	Create '\BLOCINST ';
	Create '\ENDBLOCINST' After;
	END;

   Cote_a_cote :
	begin
	Create '\sect\cols2\pard\plain ' ;
	Create '\sect\sectd\sbknone\pard\plain\fi250' After;
	end;

   A_gauche :
	BEGIN
	Create '\fi250 ' ;
	Create '\column' After;
	END;

   A_droite :
	BEGIN
	END;

   Paragraphes_group\351s :
	BEGIN
	Create '\par\pard\fi250\li300\ri300 ' ;
	Create '\par\pard\fi250' After;
	END;

ATTRIBUTES
   Numero_item = Chiffre_arabe :
	BEGIN
		Create '\ARABNUMBER' ;
	END;

   Numero_item = Romain_majuscule :
	BEGIN
		Create '\ROMAINMAJ' ;
	END;

   Numero_item = Romain_minuscule :
	BEGIN
		Create '\ROMAINMIN' ;
	END;

   Numero_item = Lettre_majuscule :
	BEGIN
		Create '\LETTERMAJ' ;
	END;

   Numero_item = Lettre_minuscule :
	BEGIN
		Create '\LETTERMIN' ;
	END;

   Marque_item = Puce :
	BEGIN
		Create '\ITEMPUCE';
	END;

   Marque_item = Tiret :
	BEGIN
		Create '\ITEMTIRET';
	END;

   Marque_item = Plus :
	BEGIN
		Create '\ITEMPLUS';
	END;

   Marque_item = DoublePlus :
	BEGIN
		Create '\ITEMDOUBLEPLUS';
	END;

   Marque_item = Etoile :
	BEGIN
		Create '\ITEMSTAR';
	END;

   Marque_item = Diamant :
	BEGIN
		Create '\ITEMDIAMOND';
	END;

   Mise_en_valeur = Cadre_\351pais :
	BEGIN
	Create '\box\brdrth ' ;
	END;

   Mise_en_valeur = Cadre_pointill\351 :
	BEGIN
	Create '\box\brdrdot ' ;
	END;

   Mise_en_valeur = Fond_couleur :
	BEGIN
	Create '\box\brdrth ' ;
	END;

   Mise_en_valeur = Filet_gauche_simple :
	BEGIN
	Create '\brdrl\brdrs\brsp40 ';
	END;

   Mise_en_valeur = Filet_gauche_double :
	BEGIN
	Create '\brdrl\brdrdb\brsp40 ';
	END;

   Mise_en_valeur = Filet_horiz_simple :
	BEGIN
	Create '\brdrt\brdrs\brsp40 \brdrb\brdrs\brsp40 ';
	END;

   Mise_en_valeur = Filet_horiz_double :
	BEGIN
	Create '\brdrt\brdrdb\brsp40 \brdrb\brdrdb\brsp40 ';
	END;

   Mise_en_valeur = Cadre_fin :
	BEGIN
	Create '\box\brdrs ' ;
	END;

PRESENTATION

   Size :
	BEGIN	
	Create '{\FS';
	Create Value;
	Create ' ' ;
	Create '}' after;
	END;

   Adjust = Left :
	BEGIN	
	Create '\ql ';
	END;
   Adjust = Right :
	BEGIN	
	Create '\qr ';
	END;
   Adjust = VMiddle :
	BEGIN	
	Create '\qc ';
	END;

   Justify = Yes :
	BEGIN	
	Create '\qj  ';
	END;

   Style = Bold :
	BEGIN	
	Create '{\b ';
	Create '}' after;
	END;
   Style = Italics :
	BEGIN	
	Create '{\i ';
	create '}' after;
	END;
   Style = BoldItalics :
	BEGIN	
	Create '{\i\b ';
	create '}' after;
	END;
   Style = Oblique :
	BEGIN	
	Create '{\i ';
	create '}' after;
	END;
   Style = BoldOblique :
	BEGIN	
	Create '{\i\b ';
	create '}' after;
	END;

   Font = Helvetica:
	BEGIN	
	Create '{\f3 ';
	create '}' after;
	END;
   Font = Courier :
	BEGIN
	Create '{\f6 ';
	create '}' after;	
	END;
   Font = Times :
	BEGIN
	Create '{\f0 ';
	create '}' after;	
	END;

   UnderLine = UnderLine :
	BEGIN
	Create '{\ul ';
	create '}' after;	
	END;
   UnderLine = OverLine :
	BEGIN
	Create '{\outl ';
	create '}' after;	
	END;
   UnderLine = StrikeOut :
	BEGIN
	Create '{\strike ';
	create '}' after;	
	END;

   Background :
	BEGIN
	Create '{\cb';
	Create Value;
	Create ' ';
	create '}' after;	
	END;

   Foreground :
	BEGIN
	Create '{\cf';
	Create Value;
	Create ' ';
	create '}' after;	
	END;

END
